geistest(1)

NAME
geistest - test operation of the GEIS API

SYNOPSIS
geistest [ -w windowid ] [ -d deviceid ]

DESCRIPTION
This manual page explains the geistest program. This program is a test driver for verifying the recognition and propagation of gestures through the GEIS API.

Hitting any key on the keyboard will exit the program gracefully.

OPTIONS

-w  Specifies the windowId of a specific window to associate with gestures. Particularly useful with touchscreens. If this argument is not set, the default action is to read gestures on all windows.

    The windowId can be determined using the program xwininfo.

-d  Specifies the deviceId of a specific input device to be tested for multi-touch gestural input. If this argument is not set, the default action is to listen to multi-touch input on all devices. This argument may be used more than once to specify multiple input devices.

    The deviceId can be determined using the program xinput.

ENVIRONMENT

GEIS_DEBUG
    Enables GEIS library diagnostic messages on stderr.

SEE ALSO
gesturetest(1)